structure SystemC =
struct
  datatype aexp =
    AConst of int
  | Var of string
  | Plus of aexp * aexp
  | Minus of aexp * aexp
  | Times of aexp * aexp
  | DividedBy of aexp * aexp

  datatype cmd =
    Assign of string * aexp
  | Return of aexp

  type program = string list * cmd list
end
