structure Compile : sig
  val compile : SystemC.program -> Assembly.program
end = struct
  structure C = SystemC
  structure A = Assembly

  (*  fresh_label () ==> a string which has not previously been returned by
   *  this function, and which could not have appeared in the source program.
   *)
  local val c = ref 0 in
    fun fresh_label () = (c := !c + 1; !c)
  end
  fun fresh_var () = "%t" ^ Int.toString (fresh_label ())

  fun compile (params, body) = raise Fail "unimplemented"
end